Page MenuHomePhabricator

Search results should show redirect targets rather than redirects
Closed, ResolvedPublic

Description

Screenshot showing results

When you search for 'barack obama' (sic) on mobile, the first result is 'Barack obama', and the second result is 'Barack Obama'. The former is a redirect to the latter and should be omitted from the results for obvious reasons.


Version: unspecified
Severity: normal

Attached:

Details

Reference
bz73532

Event Timeline

bzimport raised the priority of this task from to Needs Triage.Nov 22 2014, 3:49 AM
bzimport set Reference to bz73532.
bzimport added a subscriber: Unknown Object (MLST).
ori created this task.Nov 17 2014, 11:39 PM

bingle-admin wrote:

Prioritization and scheduling of this bug is tracked on Trello card https://trello.com/c/gB6BBM1V

Change 174308 had a related patch set uploaded by Bmansurov:
Show redirect targets in search results.

https://gerrit.wikimedia.org/r/174308

It looks like this is the default behavior for Desktop too. This bug should be fixed at the API level (CirrusSearch).

Change 174308 abandoned by Bmansurov:
Show redirect targets in search results.

Reason:
Needs to be fixed at the API level

https://gerrit.wikimedia.org/r/174308

Change 174308 restored by Bmansurov:
Show redirect targets in search results.

https://gerrit.wikimedia.org/r/174308

Florian closed this task as Resolved.Nov 27 2014, 9:12 PM
Florian claimed this task.